Text Match

The Text Match API allows users to compare two names and returns a similarity score indicating how closely they match. This can be useful for applications involving name matching, duplicate detection, and fuzzy searches.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Header Parameters

NameTypeDescriptionMandatory (M) , Optional (O)Provided by INSTANTPAY (Y/N)
X-Ipay-Auth-CodeStringAuth Code -1 (Fixed)MY
X-Ipay-Client-IdStringUnique Client IDMY
X-Ipay-Client-SecretStringUnique secret keyMY
X-Ipay-Endpoint-IpStringEnd Customer IP AddressMN

Request Parameters

NameTypeMandatory (M) , Optional (O)Description
firstNameStringMFirst name of the user
secondNameStringMSecond name of the user
externalRefStringMYour Unique Transaction Id

Sample Request

curl --location --request POST 'https://api.instantpay.in/identity/nameSimilarity' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "firstName": "Instantpay India Ltd",
    "secondName": "Instantpay Limited",
    "externalRef": "1649750897",
}'
POST /identity/nameSimilarity HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
Content-Type: application/json

{
    "firstName": "Instantpay India Ltd",
    "secondName": "Instantpay Limited",
    "externalRef": "1649750897",
}

Response Parameters

NameTypeDescription
statuscodeStringInstantPay Status Code
actcodeStringAction Code
statusStringStatus message
dataArrayResponse Data (If Present)
timestampStringCurrent time (YYYY-MM-DD HH:II:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id ( If transaction otherwise it is null )
environmentStringLive/Sandbox
📘

Note :

1- externalRef must be unique and in alpha numeric characters.

Sample Response

{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Transaction Successful",
    "data": {
        "ipayId": "122022149NPGPA",
        "openingBalance": "12.14",
        "closingBalance": "12.14",
        "transactionValue": "0.00",
        "payableValue": "0.00",
        "similarityScore": 96.83
    },
    "timestamp": "2022-08-17 12:21:49",
    "ipay_uuid": "h068970aa142-66d2-4ee5-bd1b-d6029b9fa0fe",
    "orderid": "1230424215619QEDEL",
    "environment": "LIVE",
    "internalCode": null
}

You can categorize the match percent results using the table below.

Similarity ScoreMatch Result
100Exact Match
85.00 - 99.00Close Match
60.00 - 84.00Moderate Match
34.00 - 59.00Poor Match
1 - 33.00No Match
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json